const pkg = require('./package')

module.exports = {
    apiPath: 'stubs/api',
    webpackConfig: {
        output: {
            publicPath: `/static/${pkg.name}/${process.env.VERSION || pkg.version}/`
        }
    },
    navigations: {
        'journal.main': '/journal'
    },
    features: {
        'journal': {
            // add your features here in the format [featureName]: { value: string }
            "keyboard": {
                "on": true,
                "value": "true",
                "key": "keyboard"
            },
            "fullScreen": {
                "on": true,
                "value": "true",
                "key": "fullScreen"
            },
            "blowAnim": {
                "on": true,
                "value": "true",
                "key": "blowAnim"
            }
        },
    },
    config: {
    "journal.socket.url": "ws://localhost",
    "journal.socket.path": "/socket.io/"
  }
}
